#!/bin/bash
echo "Compiling BLOB"
date
make distclean
make -f Makefile.cvs
if [ -z $LINUX ];then
	LINUX="`pwd`/../../linux"
fi



MONAHANS=$1
MONAHANS_PLATFORM=$2
NETWORK=$3
NAND_LAYOUT=$4
NANDTYPE=$5
BUILD_TYPE=$6
SECURITY_TYPE=$7

# usage:
# ./config.sh [ MonahansP | MonahansPL | MonahansL | MonahansLV ]
./configure --host=arm-linux --with-board=$MONAHANS_PLATFORM --with-linux-prefix=$LINUX --with-network=$NETWORK --enable-xllp --enable-xlli --enable-nand --with-cpu-product-id=$MONAHANS $NANDTYPE --with-nand-layout=$NAND_LAYOUT --enable-xmodem --enable-md5 $BUILD_TYPE $SECURITY_TYPE
#####download through USB 1.1 port: --with-network=usbdnet   #####
#####download through USB 2.0 port: --with-network=usbdnet2  #####
#./configure --host=arm-linux --with-board=zylonite --with-linux-prefix=$LINUX --with-network=usbdnet --enable-xllp --enable-xlli --enable-nand 
make
echo "Compiling BLOB done!"
date
