/*
 *  tftp.h
 *
 *  Copyright 2003 Stefan Eletzhofer <stefan.eletzhofer@eletztrick.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef _BLOB_TFTP_H
#define _BLOB_TFTP_H 1

/**********************************************************************
 * do_tftp - fetch file via tftp
 * @file: the file name on the server to fetch
 * @addr: the address to store the file to
 * @size: where to store the number of bytes received
 *
 * TFTP file transfer function. Needs client and server IP address
 * to be set.
 */
int do_tftp( char *file, unsigned long addr, unsigned long *size );

#endif
