/*
 * dummy.c: Dummy command that only shows how things work
 *
 * Copyright (C) 2002  Erik Mouw <J.A.K.Mouw@its.tudelft.nl>
 *
 * $Id: dummy.c,v 1.2 2002/02/17 20:01:31 erikm Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: dummy.c,v 1.2 2002/02/17 20:01:31 erikm Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/util.h>




int dummy_cmd(int argc, char *argv[])
{
	int i;

	for(i = 0; i < argc; i++)
		printf("argv[%d] = '%s'\n", i, argv[i]);

	return 0;
}

char dummy_help[] = "dummy\n"
"Dummy command that only shows all arguments and returns\n";


/*
 * To use this command, just add this line somewhere in the
 * application (src/blob/commands, for example):
 *
 *   __commandlist(dummy_cmd, "dummy", dummy_help);
 *
 */
