
#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/types.h>
#include <blob/errno.h>
#include <blob/util.h>
#include <blob/command.h>
#include <blob/init.h>
#include <blob/serial.h>
#include <blob/time.h>
#include <blob/arch.h>

static void csir_ims_init_hardware(void)
{
	serial_driver = &pxa_serial_driver;
	timer_driver = &intelarm_timer_driver;
}

__initlist(csir_ims_init_hardware, INIT_LEVEL_DRIVER_SELECTION);

