#include <stdio.h>
#include <stdlib.h>

int TIM_Main(int argc, char *argv[]);

#define DS_SERVER_IP "127.0.0.1"
#define TIM_HASH_BIN "timhash.bin"
#define TIM_DS_BIN "timds.bin"
#define TBB_DS_APP "/mnt/hgfs/projects/BTBB/BTBB/tbb_server.sh"

/**
* Digital Signature
* fn: filename of store encryption data.
* 0 succeed, other occur error.
*/
int sign(const char *fn)
{
  int res = -1;
  char str[16], c, cmd[256];
  int i=0;
/*
  res = system("/usr/bin/sftp "DS_SERVER_IP":"TIM_HASH_BIN);
  if(res == -1){
    goto out;
  }

  res = system("/usr/bin/ssh "DS_SERVER_IP" tbbs "TIM_HASH_BIN);
  if(res == -1){
    goto out;
  }

  //scp myname@host1:remote_dir/filename .
  res = system("/usr/bin/scp "DS_SERVER_IP":"TIM_DS_BIN" ./"TIM_DS_BIN);
*/
loop:
  printf("User name:");

  while((c=getchar())!='\n')
  {
    if(i < sizeof(str)-1){
      str[i++]=c;
    }else{
      printf("user name too long.\n");
      goto out;
    }
  }
  if(i == 0){
    printf("invalid user name.\n");
    goto loop;
  }
  str[i]='\0';
  sprintf(cmd, "cat "TIM_HASH_BIN" | /usr/bin/ssh %s@"DS_SERVER_IP" 'cat > "TIM_HASH_BIN"; "TBB_DS_APP" 1>&2; cat "TIM_DS_BIN"' > ./"TIM_DS_BIN, str);
  printf("%s\n",cmd);
  res = system(cmd);
out:
  return res;
}

int main(int argc, char **argv)
{
  char *av[7], *bv[9];

  if(argc != 2)
  {
    printf (">> BTBB <Option file> ...\n\n");
    printf ("Build a trusted or non trusted image module:\n\tBTBB sample_tim.txt\n\n");
    return -1;
  }
#if 1
  /**
   ** make encryption data.
   **/
  //APPNAME -m 2 -r sample_tim.txt -h timhash.bin
  av[0] = argv[0];
  av[1] = "-m";
  av[2] = "2";
  av[3] = "-r";
  av[4] = argv[1];
  av[5] = "-h";
  av[6] = TIM_HASH_BIN;
  if(!TIM_Main(sizeof(av)/sizeof(av[0]), av))
  {
    return -1;
  }

  /**
   ** make encrypted data.
   **/
  if(sign(av[6]) == -1)
  {
    return -1;
  }
#endif
  /**
   ** add DS to TIM.
   **/
  //APPNAME -m 4 -s ds.bin -i TIMTrustNoDs.bin -o TIMTrustFromDs.bin
  bv[0] = av[0];
  bv[1] = "-m";
  bv[2] = "4";
  bv[3] = "-s";
  bv[4] = "timds.bin";
  bv[5] = "-i";
  bv[6] = "TavorSAAR_OBM_TIM_LB-ONENAND.bin";
  bv[7] = "-o";
  bv[8] = "TavorSAAR_OBM_TIM_LB-ONENAND.bin";
  if(!TIM_Main(sizeof(bv)/sizeof(bv[0]), bv))
  {
    return -1;
  }
  return 0;
}
