/******************************************************************************
**	(C) Copyright 2007 Marvell International Ltd. 
**	All Rights Reserved
******************************************************************************/



// USB Vendor Request structure  common for both USB 1.1 and USB 2.0
typedef struct XLLP_USB_VENDOR_REQ_DATA_S
{
    XLLP_UINT8_T    recipient;
    XLLP_UINT8_T    vendorReqType;
    XLLP_UINT16_T   vendorReqEndpointNum;
    XLLP_UINT32_T   vendorReqXferLength;
    XLLP_BOOL_T     vendorReqComplete;
} XLLP_USB_VENDOR_REQ_DATA_T, *P_XLLP_USB_VENDOR_REQ_DATA_T;


// USB Control Transfer structure common for both USB 1.1 and  USB 2.0
typedef struct XLLP_USB_CTRL_XFER_S
{
    XLLP_UINT32_T   statusEp0;
    P_XLLP_UINT32_T pTxBuffEp0;
    P_XLLP_UINT32_T pRxBuffEp0;
    XLLP_UINT32_T   outDataEp0[64];
    XLLP_UINT16_T   descIndexEp0;
    XLLP_UINT16_T   descTypeEp0;
    XLLP_UINT32_T   dataLengthEp0;
} XLLP_USB_CTRL_XFER_T, *P_XLLP_USB_CTRL_XFER_T;