#ifndef PRE_TIM_H
#define PRE_TIM_H

typedef struct stPreTIMItem
{
	int iFromOffset;	//Offset from the file position 0		
	char bDownloadToFlash;//0 Not to flash,1 to Flash
	int iFileSize;
	int  iFlashAddress;
	char bYaffsFile;	//Only for User&System Yaffs
	int iYaffsSize; //For Yaffs Item use only
	char szFileName[256];
}STPreTIMItem;
/****************************************************
Magic File Layout
________________________________ 0
  'Magic'
  int ItemCount
  PreItem0
  PreItem1
  PreItem2
  .....
  PreItemn
  Item0
  Item1	
  Item2
  ...
  Itemn
______________________________________________________



  PreItem0 -------->
  Item0------------>DKB_TIMH.bin
  PreItem1--------->
  Item1------------>DKB.bin
  PreItem2--------->
  Item2--------->Flash_TIMH.bin  

****************************************************/

BOOL PreTimMerge(char* pDestFileName,STPreTIMItem* pPreTimItem,int itemcount);

#endif