#!/usr/local/bin/perl

@dirs = ("../StartUp/", "../$ARGV[0]/", "../$ARGV[0]/DDR/");

foreach $dir (@dirs)
{
	opendir DH, $dir or die "Cannot open $dir: $!";

	foreach $file (readdir DH) {
		$newfile = $file;
		$isassembly = 0;

		if ($file =~ m/.mac\b/)
		{
			$newfile =~ s/.mac/.MAC/;
			$isassembly = 1;
		}
		if ($file =~ m/.inc\b/)
		{
			$newfile =~ s/.inc/.INC/;
			$isassembly = 1;
		}
		if($file =~ m/\._?s\b/)
		{
			$newfile =~ s/\._?s/\U$&/;
			$isassembly = 1;
		}

		if($isassembly == 1)
		{
			system "perl convert_arm_asm_2gnu.pl $dir//$file $dir//$newfile"
		}
	}

	closedir DH;
}
