#ifndef __ONENAND_CMD_H__
#define __ONENAND_CMD_H__

#include "typedef.h"
#include "flash.h"

UINT_T LoadSector(UINT_T FlashOffset, UINT_T buffer, UINT_T size, FlashBootType_T fbt, char *);
UINT_T LoadSpareSector(void);
UINT_T ProgramSector(UINT_T address, UINT_T buffer, UINT_T size, FlashBootType_T fbt);
UINT_T ProgramSpareSector(void);
UINT_T CopyBackProgram(void);
UINT_T UnlockNANDArray(void);
UINT_T LockNANDArray(void);
UINT_T LockTightNANDArray(void);
UINT_T EraseVerifyRead(void);
UINT_T BlockErase( UINT32 blockNumber);
UINT_T MultiBlockErase(void);
UINT_T EraseSuspend(void);
UINT_T EraseResume(void);
UINT_T ResetNANDCore(void);
UINT_T ResetOneNAND(void);
UINT_T OTPAccess(void);
UINT32 ComputeDivisorShiftFromPowerOf2( UINT32 power );

#endif

