#!/bin/bash
export LD_LIBRARY_PATH=/opt/intel/ipp/5.3.4.080/ia32/sharedlib:$LD_LIBRARY_PATH


if [ xx$5 == xx ]
then
		pOption="None"
		Option=""
else
		pOption=$5
		Option=_$5
fi


if [ $1 == "NT" ]
then
		pTrust=0
else
		pTrust=1
fi




echo "   "
echo "  ***************************************************************************** "
echo "    Start making TAVOR $2 $1rusted, $3 flash, obm $4, option=$pOption           "
echo "  ***************************************************************************** "
echo "   "


if ! [ -e ./TAVOR/Release/$2/$3 ]
		then
		mkdir -m 777 -p ./TAVOR/Release/$2/$3
fi


if [ -e ./TAVOR/Release/$2/$3/TAVOR_LINUX_$2_$1OBM_$3_$4.bin ]
		then
		sudo rm -f ./TAVOR/Release/$2/$3/TAVOR_LINUX_$2_$1OBM_$3_$4.bin
fi


if [ -e ./TAVOR/Release/$2/$3/TAVOR_$1OBM.bin ]
		then
		sudo rm -f ./TAVOR/Release/$2/$3/TAVOR_$1OBM.bin
fi


if [ $2 == "EVB_PV" -o $2 == "SAAR_PV" ]
then
		pUSBCI=1
else
		pUSBCI=0
fi



make -C Build -f obm_linux.mak PLATFORM=TAVOR LINUX=1 OBM_MODE=$4 USB1=1 USBCI=$pUSBCI TRUSTED=$pTrust BOARD_TYPE=$2 FLASH_TYPE=$3 OPTION=$5


if [ $? != 0 ]
then
		echo "  ***************** "
	  echo "     Make failed    "
		echo "  ***************** "
	exit 1
fi


##cp ./TAVOR/Release/$2/$3/TAVOR_LINUX_$2_$1OBM_$3_$4$Option.bin ./TAVOR/Release/$2/$3/TAVOR_$1OBM.bin
cp ./TAVOR/Release/$2/$3/TAVOR_$2_$1OBM_$3_$4$Option.bin ./TAVOR/Release/$2/$3/TAVOR_$1OBM.bin

if [ -e ./TAVOR/Release/$2/$3/TAVOR_$1OBM.bin ]
		then
		./BAT/lin_create_obm_ntim_release.sh $1 $2 $3 $4 $5
else
		echo "   "
		echo "  ********************************************************************************** "
		echo "   !!! ERROR -- the file ./TAVOR/Release/$2/$3/TAVOR_$1OBM.bin does not exist     "
		echo "  ********************************************************************************** "
		echo "   "
fi

