/******************************************************************************
**	(C)Copyright Marvell. All Rights Reserved. 2007 
**
**  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MARVELL.
**	The copyright notice above does not evidence any actual or intended  
**  publication of such source code.	
**
**  This Module contains Proprietary Information of Marvell and should be treated 
**  as Confidential.
**	  
**  The information in this file is provided for the exclusive use of the licensees 
**  of Marvell.	
**	Such users have the right to use, modify, and incorporate this code into products 
**  for purposes authorized by the license agreement provided they include this notice 
**  and the associated copyright notice with any such product. 
**  The information in this file is provided "AS IS" without warranty.
**
**  FILENAME: FlexOBMInterface.h
**
**  PURPOSE:  The interface layer for the Flex One NAND device.
**
******************************************************************************/
#ifndef __FLEXOBMINTERFACE_H__
#define __FLEXOBMINTERFACE_H__

#include "typedef.h"
#include "OneNAND_Driver.h"
#include "flash.h"

//UINT_T InitializeFlexOneNANDDevice(pFUSE_SET pFuses, FlashBootType_T FlashBootType);
UINT_T Flex_Initialize( FlashProperties_T *pFlashProp );
UINT_T Flex_ReadFlash(UINT_T FlashOffset, UINT_T size, UINT_T buffer, P_FlashProperties_T pFlashP);
UINT_T Flex_WriteFlash(UINT_T FlashOffset, UINT_T size, UINT_T *buffer, P_FlashProperties_T pFlashP);
UINT_T Flex_EraseFlash(UINT_T FlashOffset, UINT_T size, FlashBootType_T fbt);

#endif