/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED. 
**
**  FILENAME:	WTPUARTLIB.h
**
**  PURPOSE: 	Windows Dll routines 
**                  
******************************************************************************/

#ifndef WTPDEF
#include "..\Include\WTPDEF.h"
#endif

#ifdef WTPUSBLIB_EXPORTS
#define WTPUSBLIB_API __declspec(dllexport)
#else
#define WTPUSBLIB_API __declspec(dllimport)
#endif

#ifdef __cplusplus
	extern "C" {
#endif

WTPUSBLIB_API BOOL OpenUsbPort (long int DelayTime, char* pInterfaceName );
WTPUSBLIB_API BOOL GetUsbDeviceName (char *DeviceName,BOOL IsPrint);
WTPUSBLIB_API BOOL WriteUsb (WTPCOMMAND WtpCmd,DWORD dwCmdSize,WTPSTATUS *WtpStatus,DWORD dwStatusSize);
WTPUSBLIB_API void CloseUsbPort ();
DWORD GetIoControlCode (BYTE CMD);

#ifdef __cplusplus
	}
#endif
