#ifndef _I2C_GPIO_H_
#define _I2C_GPIO_H_

#include <blob/types.h>

struct i2c_bus_gpio_private {
	unsigned sda_gpio;
	unsigned scl_gpio;
	unsigned delay;
};

extern int init_bus_gpio(struct i2c_bus *);
extern int set_sda_gpio(struct i2c_bus *, unsigned);
extern int get_sda_gpio(struct i2c_bus *);
extern int set_scl_gpio(struct i2c_bus *, unsigned);
extern int get_scl_gpio(struct i2c_bus *);

#endif
