/*
 *  net.h
 *
 *  Copyright 2003 Stefan Eletzhofer <stefan.eletzhofer@eletztrick.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef _BLOB_NET_H
#define _BLOB_NET_H 1

/* compatibility macros :) */
#define memeq( x, y, s ) (memcmp((x), (y), (s)) == 0)
#define memzero( x, s ) memset((x), 0, (s))
#define printascii( s )	SerialOutputString( s )
#define printch( c ) SerialOutputChar( c )

/* defined in lowlevel ethernet drivers */
extern unsigned char hwaddress[6];

/* defined in lib/bootp.c */
extern u8 clientipaddress[4];
extern u8 serveripaddress[4];
extern unsigned char tftpfilename[128];

#endif
