/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

/**  FILENAME:       xllp_irda_plat.h
**
**  PURPOSE:        Definitions for Monahans IrDA 
**
**
******************************************************************************/

#ifndef	__XLLP_IRDA_PLAT_H__
#define	__XLLP_IRDA_PLAT_H__

#include "xllp_mfp.h"
#include "xllp_gpio.h"

#include "xllp_irda_proc.h"

#ifdef	__cplusplus
extern "C" {
#endif

XLLP_STATUS_T XllpIrDATransceiverOn(P_XLLP_IRDA_HANDLE_T Handle,XLLP_BOOL_T On);
XLLP_STATUS_T XllpIrDAMode(P_XLLP_IRDA_HANDLE_T handle, XLLP_IRDATYPE_T type);

#ifdef	__cplusplus
}
#endif

#endif	//#ifdef __XLLP_IRDA_PLAT_H__
