/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

#include "xllp_true_ide.h"
#include "xllp_true_ide_plat.h"

#include "xllp_true_ide_proc.c"
/*------------------------------------------------------------
 Function:  xllp_true_ide_init
 Purpose:  configure the MFP and set the SMC controller
 Returns:  XLLP_STATUS_T
--------------------------------------------------------------*/
XLLP_STATUS_T xllp_true_ide_init(P_XLLP_TRUE_IDE_T true_ide_handle)
{
	XLLP_STATUS_T re;
/*intialize the MFP for true IDE interface of the platform*/
	re = xllp_ture_ide_init_plat(true_ide_handle);
	if (XLLP_STATUS_SUCCESS != re) {
		return re;
	}
/*intialize the related registers on the processor */
	xllp_true_ide_init_proc(true_ide_handle);
	return XLLP_STATUS_SUCCESS;
}
