/******************************************************************************

**	(C) Copyright 2007 Marvell International Ltd. 

**	All Rights Reserved
******************************************************************************/
#include "typedef.h"
#include "flash.h"
#include "general.h"
#include "errors.h"
#include "i2c.h"
#include "platform_setup.h"
#include "platformconfig.h"

/**************************************************

Add Platform specific code here

  At this point, the the flash is not initialized,
  and the TIM is may or may not be present.
  
  No other images have been loaded at this point

***************************************************/
UINT_T PlatformPreFlashSetup(void)
{
	return NoError;
}
 
/**************************************************

Add Platform specific code here

  At this point, the OBM has initialized the flash,
  initialized ports and loaded/validated the TIM.

  The OBM has *not* loaded any other images

***************************************************/
UINT_T PlatformOBMPrebootCode(pTIM pTIM_h, P_FlashProperties_T pFlashProp)
{
	return NoError;
}


/****************************************************

Add Platform specific code here

  At this point, the OBM has loaded the next image
  into memory and finished ALL validation.

  The OBM has *not* turns off the ports

*****************************************************/
UINT_T PlatformOBMPostbootCode(pTIM pTIM_h, P_FlashProperties_T pFlashProp)
{
	return NoError;
}
