#ifndef RB_ERROR_CODES
#define RB_ERROR_CODES


typedef enum
{
	ML_OK							=0,	//0-	good
	ML_ERR_UNKNOWN_ERROR,				//1-	Unknown error
	ML_ERR_USER_ABORT,					//2-	User aborted the operation
	ML_ERR_CORRUPT_FILE,				//3-	The file is corrupt
	ML_ERR_FILE_NOT_FOUND,				//4-	The file was now found
	ML_ERR_IO_READ,						//5-	IO Error Reading
	ML_ERR_IO_WRITE,					//6-	IO Error writing
	ML_ERR_IO_REMOVE,					//7-	IO Error Remove
	ML_ERR_IO,							//8-	IO Error.
	ML_ERR_NOT_ENOUGH_RAM_FOR_UPG,		//9-	Not enough RAM for UPG
	ML_ERR_NOT_ENOUGH_RAM_FOR_UPI,		//10-	Not enough RAM for UPI
	ML_ERR_BASE_DIR_INVALID,
	ML_ERR_TARGET_DIR_INVALID,
	ML_ERR_NO_TARGET_GROUP,
	ML_ERR_INVALID_TYPE,
	ML_ERR_DELTA_NOT_FOUND,
	ML_ERR_MAKECAB,
	ML_ERR_MISMATCH_FILE_TYPE,		
	ML_ERR_PARAMETER_FORMAT,
	ML_ERR_DISK_IS_FULL,
	ML_ERR_CRC_CHECK_FAILED,
	ML_ERR_EVAL_EXPIRED,
	ML_ERR_EVAL_TAMPERED,
	ML_ERR_CACHE_INIT_FAILED,
	ML_ERR_HASH_ELEMENT_NOT_FOUND,
	ML_ERR_CACHE_PACK_SIZE_0,
	ML_ERR_LIGHT_EXPAND_FAILED,
	ML_ERR_LIGHT_SCOUT_WITHOUT_OLD_PROP,
	
	ML_ERR_INVALID_FILENAME,			// 28 - A folder is already exists with the same name
	ML_ERR_NUM
} ML_ERROR;


#endif // end of guard.

