/*-------------------------------------------------------------------------
 * Filename:      startup.lds
 *-----------------------------------------------------------------------*/
/*OUTPUT_FORMAT("elf32-arm", "elf32-arm", "elf32-arm")*/
OUTPUT_FORMAT("elf32-littlearm")
OUTPUT_ARCH(arm)
ENTRY(__main)
SECTIONS
{
	. = 0x5c013000;
	.__main = .;

	. = ALIGN(4);
	.text : {
		*(.text)
		. = ALIGN(4);
	}

        . = ALIGN(4);
        .rodata : { *(.rodata) }

        . = ALIGN(4);
	.got : { *(.got) }

	. = ALIGN(4);
        .data : { *(.data) }

	. = 0x5c009000;
	__bss_start = .;
        .bss : { *(.bss) }
	__bss_end = .;
	_seg_CODE_end_ = .;
}


