/******************************************************************************
**	(C) Copyright 2007 Marvell International Ltd. 
**	All Rights Reserved
******************************************************************************/

/******************************************************************************
**
**  COPYRIGHT (C) 2003 Intel Corporation.
**
**  This software as well as the software described in it is furnished under
**  license and may only be used or copied in accordance with the terms of the
**  license. The information in this file is furnished for informational use
**  only, is subject to change without notice, and should not be construed as
**  a commitment by Intel Corporation. Intel Corporation assumes no
**  responsibility or liability for any errors or inaccuracies that may appear
**  in this document or any software that may be provided in association with
**  this document.
**  Except as permitted by such license, no part of this document may be
**  reproduced, stored in a retrieval system, or transmitted in any form or by
**  any means without the express written consent of Intel Corporation.
**
**  FILENAME:	UsbDownload.h
**
**  PURPOSE: 	USB Download header file
**
******************************************************************************/

#include "typedef.h"
#include "general.h"
#include "usbdriver.h"
#include "xllp_dmac.h"	// DMA header
#include "xllp_udc.h"
#include "protocolmanager.h"

/**
 * Function Prototypes
 **/
void UdcInit(void);
void UdcDmaHandler(void);
void UdcInterruptHandler(void);
void UdcTransmit(UINT_T, UINT8_T*);
void UdcReceiveDmaUpdate(void);
void UdcReceiveInterruptHandler(void);
void UdcHWShutdown(void);
