/******************************************************************************
**
**  COPYRIGHT (C) 2005 Intel Corporation.
**
**  This software as well as the software described in it is furnished under
**  license and may only be used or copied in accordance with the terms of the
**  license. The information in this file is furnished for informational use
**  only, is subject to change without notice, and should not be construed as
**  a commitment by Intel Corporation. Intel Corporation assumes no
**  responsibility or liability for any errors or inaccuracies that may appear
**  in this document or any software that may be provided in association with
**  this document.
**  Except as permitted by such license, no part of this document may be
**  reproduced, stored in a retrieval system, or transmitted in any form or by
**  any means without the express written consent of Intel Corporation.
**
**  FILENAME:	GPIO_defs.h
**
**  PURPOSE: 	This file provides basic type definitions for A0 chip model
**
******************************************************************************/

#ifndef _GPIO_DEFS_H_
#define _GPIO_DEFS_H_



typedef enum
{
	GPIO_0 = 0,
	GPIO_1 = 1,
	GPIO_2  ,
	GPIO_3  ,
	GPIO_4  ,
	GPIO_5  ,
	GPIO_6  ,
	GPIO_7  ,
	GPIO_8  ,
	GPIO_9  ,
	GPIO_10 = 10,
	GPIO_11 ,
	GPIO_12 ,
	GPIO_13 ,
	GPIO_14 ,
	GPIO_15 ,
	GPIO_16 ,
	GPIO_17 ,
	GPIO_18 ,
	GPIO_19 ,
	GPIO_20 = 20,
	GPIO_21 ,
	GPIO_22 ,
	GPIO_23 ,
	GPIO_24 ,
	GPIO_25 ,
	GPIO_26 ,
	GPIO_27 ,
	GPIO_28 ,
	GPIO_29 ,
	GPIO_30 = 30,
	GPIO_31 ,
	GPIO_32 ,
	GPIO_33 ,
	GPIO_34 ,
	GPIO_35 ,
	GPIO_36 ,
	GPIO_37 ,
	GPIO_38 ,
	GPIO_39 ,
	GPIO_40 = 40,
	GPIO_41 ,
	GPIO_42 ,
	GPIO_43 ,
	GPIO_44 ,
	GPIO_45 ,
	GPIO_46 ,
	GPIO_47 ,
	GPIO_48 ,
	GPIO_49 ,
	GPIO_50 = 50,
	GPIO_51 ,
	GPIO_52 ,
	GPIO_53 ,
	GPIO_54 ,
	GPIO_55 ,
	GPIO_56 ,
	GPIO_57 ,
	GPIO_58 ,
	GPIO_59 ,
	GPIO_60 = 60,
	GPIO_61 ,
	GPIO_62 ,
	GPIO_63 ,
	GPIO_64 ,
	GPIO_65 ,
	GPIO_66 ,
	GPIO_67 ,
	GPIO_68 ,
	GPIO_69 ,
	GPIO_70 = 70,
	GPIO_71 ,
	GPIO_72 ,
	GPIO_73 ,
	GPIO_74 ,
	GPIO_75 ,
	GPIO_76 ,
	GPIO_77 ,
	GPIO_78 ,
	GPIO_79 ,
	GPIO_80 = 80,
	GPIO_81 ,
	GPIO_82 ,
	GPIO_83 ,
	GPIO_84 ,
	GPIO_85 ,
	GPIO_86 ,
	GPIO_87 ,
	GPIO_88 ,
	GPIO_89 ,
	GPIO_90 = 90,
	GPIO_91 ,
	GPIO_92 ,
	GPIO_93 ,
	GPIO_94 ,
	GPIO_95 ,
	GPIO_96 ,
	GPIO_97 ,
	GPIO_98 ,
	GPIO_99 ,
	GPIO_100 = 100,
	GPIO_101 = 101,
	GPIO_102,
	GPIO_103,
	GPIO_104,
	GPIO_105,
	GPIO_106,
	GPIO_121 = 121,
	GPIO_145 = 145,
	GPIO_159 = 159,
	GPIO_160 = 160,
	GPIO_161,
	GPIO_162,
	GPIO_163,
	GPIO_164,
	GPIO_165,
	GPIO_166,
	GPIO_167,
	GPIO_168,
	GPIO_169,
	GPIO_170,
	GPIO_171,
	GPIO_172,
	GPIO_173,
	GPIO_174,
	GPIO_175 = 175,
	GPIO_176 = 176
} GpioPins;




#if ((EVB2_PV) || (P65) || (SAAR_PV))
#define RELEASE_GILON_FROM_RESET 	  			GPIO_145
#define RELEASE_GILON_FROM_RESET_SAAR_PV_3_2   	GPIO_167
#else
#define RELEASE_GILON_FROM_RESET 	  			GPIO_55
#endif

#define RELEASE_SKYWORKS_FROM_RESET   			GPIO_121

#define GPS_SHUTDOWN                  			GPIO_61

#define AUDIO_MONO_CONFIG             			GPIO_63
#define AUDIO_STEREO_CONFIG           			GPIO_84

#define DISABLE_IRDA                  			GPIO_62


#endif //_GPIO_DEFS_H_
