# this script add to support TAvor B0 OBM. 
if (@ARGV != 2) {
    print "usage: round.pl <OBMfileName>\n";
    exit;
}

#open files

$OBMfileName = $ARGV[0];
$TIMfileName = $ARGV[1];
#$TIMfileName = "C:/code/tboot/obm/v3/Tavor/tbb_bin/TavorB0_OBM_NTIM_LB-NAND8.bin";


  open INF, $OBMfileName
    or die "\nCan't open $OBMfileName for reading: $!\n";
  
  open INFTim, $TIMfileName
    or die "\nCan't open $TIMfileName for reading: $!\n";
    
  open OUTF, ">$OBMfileName.rnd"
    or die "\nCan't open OBMfileName.rnd for writing: $!\n";
    

  binmode INF;  
  binmode OUTF;
  
###################################	
#copy Tim to dst file
###################################
  open INFTim, $TIMfileName
    or die "\nCan't open $TIMfileName for reading: $!\n";
  
  binmode INFTim;
  
  my $TIMbuffer;

  while (
    read (INFTim, $TIMbuffer, 65536)	# read in (up to) 64k chunks, write
    and print OUTF $TIMbuffer	# exit if read or write fails
  ) {};
  #die "Problem copying: $!\n" if $!;
  
###################################
#pad the TIM to 1K 
###################################
$TIMfilesize = -s $TIMfileName;
$k= (4*1024) - $TIMfilesize;
printf "bytes to pad TIM: $k\n";
    
if ($k)
{
  for ( $i=0; $i<$k; $i++ )
	{  
		print OUTF chr(255); 
	}
	print "Padding TIM successfully performed \n";	
}
else
{ 
  print "No padding needed to TIM \n";
}

##########################################
#add 8 zeros to dst file at the beginning
##########################################

#for ( $ii=0; $ii<8; $ii++ )
#	{  
#		print OUTF "\0"; 
#	}


###################################	
#copy OBM to dst file
###################################
  my $OBMbuffer;

  while (
    read (INF, $OBMbuffer, 65536)	# read in (up to) 64k chunks, write
    and print OUTF $OBMbuffer	# exit if read or write fails
  ) {};
  #die "Problem copying: $!\n" if $!;

###################################
#round file the dst file to 128K
###################################
$OBMfilesize = -s $OBMfileName;
#$ki= (128*1024) - (4096 + 8 +$OBMfilesize) ;
$ki= (128*1024) - (4096 + $OBMfilesize) ;
printf "bytes to pad dst OBM: $ki\n";
if ($ki)
{
   for ( $i=0; $i<$ki; $i++ )
	{  
		print OUTF chr(255); 
	}
	 print "Padding successfully performed \n";	
}
else
{ 
  print "No padding needed to dst OBM \n";
}

# close files

  close OUTF
    or die "Can't close $destfile: $!\n";
  close INF
    or die "Can't close $srcfile: $!\n";
  close INFTim
    or die "Can't close $srcfile: $!\n";
